﻿using System.Collections.Generic;
using System.Linq;

namespace Mvc6_Intro.Models
{
    public class GerenciaProduto
    {
        readonly List<Produto> produtos = new List<Produto>()
        {
            new Produto
            {
                Id = 1, Nome = "Suco de Laranja", Tipo = "Suco"
            },
            new Produto
            {
                Id = 2, Nome = "Guaraná", Tipo = "Refrigerante"
            },
            new Produto
            {
                Id = 3, Nome = "Melancia", Tipo = "Fruta"
            },
            new Produto
            {
                Id = 4, Nome = "Suco de Uva", Tipo = "Suco"
            },
            new Produto
            {
                Id = 5, Nome = "Abacaxi", Tipo = "Fruta"
            },
        };
        public IEnumerable<Produto> GetTodos
        {
            get
            {
                return produtos;
            }
        }

        public List<Produto> GetProdutosPorTipo(string Tipo)
        {
            return produtos.Where(p => p.Tipo.ToLower().Equals(Tipo.ToLower())).ToList();
        }
    }
}
