﻿using Microsoft.AspNet.Builder;
using Microsoft.Framework.DependencyInjection;

namespace Mvc6_Intro
{
    public class Startup
    {
        // For more information on how to configure your application, 
        // visit http://go.microsoft.com/fwlink/?LinkID=398940
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddMvc();
        }

        public void Configure(IApplicationBuilder app)
        {
            app.UseMvc(m =>
            {
                m.MapRoute(
                name: "default",
                template: "{controller}/{action}/{id?}",
                defaults: new
                {
                    controller = "Home",
                    action = "Index"
                });
            });
        }
    }
}
